﻿#region Copyright
/// <summary>The ScummVM WPF UI project</summary>
/// <copyright>(c) 2016 MojoTouch</copyright>
/// <author>Ilya Rovensky</author>
#endregion

namespace WpfInterface
{
    public static class SoundPlayer
    {
        private static WMPLib.WindowsMediaPlayer _clickPlayer;
        private static WMPLib.WindowsMediaPlayer _musicPlayer;

        static SoundPlayer()
        {
            _clickPlayer = new WMPLib.WindowsMediaPlayer();
            _musicPlayer = new WMPLib.WindowsMediaPlayer();
        }

        public static void Click()
        {
            _clickPlayer.URL = $"{Assets.Path}/click.mp3";
            _clickPlayer.controls.play();
        }

        public static void Music(bool play)
        {
            if (play)
            {
                _musicPlayer.URL = $"{Assets.Path}/bgmusic.mp3";
                _musicPlayer.settings.setMode("loop", true);
               
                _musicPlayer.controls.play();
            }
            else
                _musicPlayer.controls.stop();
        }
    }
}
